edu.sc.seis.sod.velocity.network

## Class VelocityChannel

- java.lang.Object
- - edu.iris.Fissures.IfNetwork.Channel
  - - edu.iris.Fissures.network.ChannelImpl
    - - edu.sc.seis.sod.velocity.network.VelocityChannel

- All Implemented Interfaces:
    java.io.Serializable, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.portable.Streamable, org.omg.CORBA.portable.StreamableValue, org.omg.CORBA.portable.ValueBase

      public class VelocityChannel
      extends edu.iris.Fissures.network.ChannelImpl

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class edu.iris.Fissures.network.ChannelImpl

      `dbid`

    - ### Fields inherited from class edu.iris.Fissures.IfNetwork.Channel

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityChannel(edu.iris.Fissures.network.ChannelImpl chan)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `compactToString()`
    `java.lang.String` | `get_code()`
    `edu.iris.Fissures.IfNetwork.ChannelId` | `get_id()`
    `float` | `getAzimuth()`
    `java.lang.String` | `getBandCode()`
    `java.lang.String` | `getCode()`
    `java.lang.String` | `getCodes()`
    `int` | `getDbId()`
    `float` | `getDip()`
    `java.lang.String` | `getEnd()`
    `java.lang.String` | `getEnd(java.lang.String format)`
    `edu.iris.Fissures.model.MicroSecondDate` | `getEndDate()`
    `java.lang.String` | `getGainCode()`
    `edu.iris.Fissures.IfNetwork.ChannelId` | `getId()`
    `VelocityNetwork` | `getNet()`
    `VelocityNetwork` | `getNetwork()`
    `java.lang.String` | `getOrientationCode()`
    `VelocitySampling` | `getSampling()`
    `VelocitySite` | `getSite()`
    `java.lang.String` | `getStart()`
    `java.lang.String` | `getStart(java.lang.String format)`
    `edu.iris.Fissures.model.MicroSecondDate` | `getStartDate()`
    `VelocityStation` | `getStation()`
    `edu.iris.Fissures.network.ChannelImpl` | `getWrapped()`
    `boolean` | `hasDbId()`
    `void` | `insertIntoContext(org.apache.velocity.VelocityContext ctx)`
    `java.lang.String` | `toString()`
    `static VelocityChannel` | `wrap(edu.iris.Fissures.IfNetwork.Channel chan)`
    `static VelocityChannel[]` | `wrap(edu.iris.Fissures.IfNetwork.Channel[] chans)`
    `static java.util.List<VelocityChannel>` | `wrap(java.util.List<? extends edu.iris.Fissures.network.ChannelImpl> chans)`

    - ### Methods inherited from class edu.iris.Fissures.network.ChannelImpl

      `associateInDB, createEmpty, getAzimuth, getDbid, getDip, getNetworkAttrImpl, getSiteImpl, getStationImpl, implize, setDbid`

    - ### Methods inherited from class edu.iris.Fissures.IfNetwork.Channel

      `_read, _truncatable_ids, _type, _write, getBeginTime, getEffectiveTime, getEndTime, getName, getNetworkAttr, getOrientation, getSamplingInfo, intern, setBeginTime, setEffectiveTime, setEndTime, setId, setName, setOrientation, setSamplingInfo, setSite`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocityChannel

          public VelocityChannel(edu.iris.Fissures.network.ChannelImpl chan)

  - ### Method Detail

    - #### get_id

          public edu.iris.Fissures.IfNetwork.ChannelId get_id()

      Overrides:
        `get_id` in class `edu.iris.Fissures.network.ChannelImpl`

    - #### getId

          public edu.iris.Fissures.IfNetwork.ChannelId getId()

      Overrides:
        `getId` in class `edu.iris.Fissures.IfNetwork.Channel`

    - #### get_code

          public java.lang.String get_code()

      Overrides:
        `get_code` in class `edu.iris.Fissures.network.ChannelImpl`

    - #### getAzimuth

          public float getAzimuth()

    - #### getDip

          public float getDip()

    - #### getCode

          public java.lang.String getCode()

    - #### getBandCode

          public java.lang.String getBandCode()

    - #### getGainCode

          public java.lang.String getGainCode()

    - #### getOrientationCode

          public java.lang.String getOrientationCode()

    - #### getCodes

          public java.lang.String getCodes()

    - #### getNet

          public VelocityNetwork getNet()

    - #### getNetwork

          public VelocityNetwork getNetwork()

    - #### getStation

          public VelocityStation getStation()

      Overrides:
        `getStation` in class `edu.iris.Fissures.IfNetwork.Channel`

    - #### getSite

          public VelocitySite getSite()

      Overrides:
        `getSite` in class `edu.iris.Fissures.IfNetwork.Channel`

    - #### getStartDate

          public edu.iris.Fissures.model.MicroSecondDate getStartDate()

    - #### getStart

          public java.lang.String getStart()

    - #### getStart

          public java.lang.String getStart(java.lang.String format)

    - #### getEndDate

          public edu.iris.Fissures.model.MicroSecondDate getEndDate()

    - #### getEnd

          public java.lang.String getEnd()

    - #### getEnd

          public java.lang.String getEnd(java.lang.String format)

    - #### getSampling

          public VelocitySampling getSampling()

    - #### compactToString

          public java.lang.String compactToString()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `edu.iris.Fissures.network.ChannelImpl`

    - #### hasDbId

          public boolean hasDbId()

    - #### getDbId

          public int getDbId()

    - #### getWrapped

          public edu.iris.Fissures.network.ChannelImpl getWrapped()

    - #### wrap

          public static VelocityChannel[] wrap(edu.iris.Fissures.IfNetwork.Channel[] chans)

    - #### wrap

          public static java.util.List<VelocityChannel> wrap(java.util.List<? extends edu.iris.Fissures.network.ChannelImpl> chans)

    - #### insertIntoContext

          public void insertIntoContext(org.apache.velocity.VelocityContext ctx)

    - #### wrap

          public static VelocityChannel wrap(edu.iris.Fissures.IfNetwork.Channel chan)